### Method

# Json Node type_name

#### Declaration [src]

    const gchar*
    json_node_type_name (
      JsonNode* node
    )

#### Description [src]

Retrieves the user readable name of the data type contained by `node`.

Note: The name is only meant for debugging purposes, and there is no guarantee the name will stay the same across different versions.

#### Return value

Type: `const gchar*`

A string containing the name of the type.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.